Bug 1418996 - Need string change for the message "Error subscribing: Owner has auto-bind disabled"
Summary: Need string change for the message "Error subscribing: Owner has auto-bind di...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Shwetha
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 11:44 UTC by Rehana
Modified: 2019-06-20 14:09 UTC (History)
6 users (show)

Fixed In Version: candlepin-2.7.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-20 14:09:55 UTC


Attachments (Terms of Use)
error (96.95 KB, image/png)
2017-02-03 11:44 UTC, Rehana
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github candlepin candlepin pull 2338 0 None None None 2019-05-22 21:10:14 UTC

Description Rehana 2017-02-03 11:44:36 UTC
Created attachment 1247406 [details]
error

Description of problem:


Version-Release number of selected component (if applicable):
subscription management server: 2.0.21-1
subscription management rules: 5.20
subscription-manager: 1.18.8-1.el6
python-rhsm: 1.18.6-1.el6

How reproducible:
always

Steps to Reproduce:
1.Disable autobind for the owner "admin"
curl -X PUT -k -u username:password  -d '{"autobindDisabled":true}' -H "Content-Type: application/json"  "https://host:8443/candlepin/owners/admin/" | python -mjson.tool
2.Register client to "admin" owner
3.click on the "auto-attach" button

Actual results:
Observe the error message "Error subscribing: Owner has auto-bind disabled"  is displayed (PFA:error.png)

Expected results:
Expected error message :  "Ignoring request to auto-attach. It is disabled for org 'admin'"


Additional info:

Comment 1 Rehana 2017-02-03 11:48:43 UTC
During the test case review the string change was suggested by QE , and the same has been implemented and displaying on the CLI 
# subscription-manager attach --auto
Ignoring request to auto-attach. It is disabled for org 'admin'.

would like to check with Michael, if the same will be updated in the GUI error dialogue as well?

requesting needinfo on mstead

thanks,
Rehana

Comment 2 Michael Stead 2017-02-03 12:59:20 UTC
Rehana:

Currently it is not updated in the GUI error dialog as the message didn't really make sense to me with the GUI's error prefix.

In the GUI, the "Error subscribing. <ERROR_MESSAGE>" template is used for all autobind request failures. Subbing in the new message didn't really make sense to me, so I had left it alone.

i.e "Error subscribing. Ignoring request to auto-attach. It is disabled for org 'admin'".

To me "Error subscribing. Ignoring request..." is what's off.

If the consensus is to change it, please create a new BZ to address it.

Comment 3 Chris Snyder 2017-02-06 15:25:13 UTC
We should change the error message coming from candlepin to "Organization <ORG> has auto-attach disabled."


Note You need to log in before you can comment on or make changes to this bug.